petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSetFieldSym

Set the symmetries for the data referred to by a field of the section

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetFieldSym(PetscSection section, PetscInt field, PetscSectionSym sym)

Collective on PetscSection

### Input Parameters

| section | - the section describing data layout
| field | - the field number
| sym | - the symmetry describing the affect of orientation on the access of the data

### See Also

PetscSectionGetFieldSym(), PetscSectionSymCreate()

### Level

developer

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages